Bug 228897 - security/php56-openssl: Fails to build with OpenSSL 1.1
Summary: security/php56-openssl: Fails to build with OpenSSL 1.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Alex Dupre
URL:
Keywords:
Depends on:
Blocks: 228865 231931
  Show dependency treegraph
 
Reported: 2018-06-11 19:23 UTC by Bernard Spil
Modified: 2018-10-19 19:02 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (ale)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bernard Spil freebsd_committer 2018-06-11 19:23:46 UTC
incomplete definition of type 'struct ssl_st'

During BSDCan 2018 the intention to update OpenSSL in base to 1.1.x branch was documented.

Intention is to update 12-STABLE to current 1.1.0 and subsequently update it to 1.1.1 when that is released. 

Poudriere log: https://keg.brnrd.eu/data/111amd64-default-openssl110/2018-06-11_10h42m37s/logs/errors/php56-openssl-5.6.36_1.log
Comment 1 Bernard Spil freebsd_committer 2018-08-17 13:18:47 UTC
During BSDCan 2018 the intention to update OpenSSL in base to 1.1.x branch was documented.

Intention is to update OpenSSL in 12-STABLE to 1.1.1 when that is released. 

Poudriere log: https://keg.brnrd.eu/data/111amd64-default-openssl110/2018-08-17_12h10m13s/logs/errors/mongodb32-tools-3.2.11.log
Comment 2 Bernard Spil freebsd_committer 2018-08-17 13:19:11 UTC
(In reply to Bernard Spil from comment #1)
Wrong window incident... Sorry!
Comment 4 commit-hook freebsd_committer 2018-10-11 08:03:17 UTC
A commit references this bug:

Author: ale
Date: Thu Oct 11 08:02:32 UTC 2018
New revision: 481790
URL: https://svnweb.freebsd.org/changeset/ports/481790

Log:
  Fix build with openssl 1.1.x.

  PR:		228897
  Submitted by:	brnrd

Changes:
  head/security/php56-openssl/files/
  head/security/php56-openssl/files/patch-openssl11
Comment 5 commit-hook freebsd_committer 2018-10-19 19:02:35 UTC
A commit references this bug:

Author: antoine
Date: Fri Oct 19 19:01:49 UTC 2018
New revision: 482448
URL: https://svnweb.freebsd.org/changeset/ports/482448

Log:
  MFH: r481790 r481804

  Fix build with openssl 1.1.x.

  PR:		228897
  Submitted by:	brnrd

  Bump PORTREVISION for r481790

Changes:
_U  branches/2018Q4/
  branches/2018Q4/security/php56-openssl/Makefile
  branches/2018Q4/security/php56-openssl/files/